AntiFeatures:
  - UpstreamNonFree
Categories:
  - Development
License: Apache-2.0
AuthorName: massivemadness
SourceCode: https://github.com/massivemadness/Squircle-IDE
IssueTracker: https://github.com/massivemadness/Squircle-IDE/issues
Changelog: https://github.com/massivemadness/Squircle-IDE/releases

AutoName: Squircle IDE

RepoType: git
Repo: https://github.com/massivemadness/Squircle-IDE

Builds:
  - versionName: 2021.1.3
    versionCode: 10006
    commit: 2021.1.3
    subdir: app
    gradle:
      - yes
    rm:
      - gradle/publish.gradle
      - app/src/main/kotlin/com/blacksquircle/ui/utils/inappupdate/InAppUpdateImpl.kt
    prebuild:
      - sed -i -e '/publish.gradle/d' ../editorkit/build.gradle ../languages/language-*/build.gradle
      - sed -i -e '/playcore/d' build.gradle ../gradle/versions.gradle
      - sed -i -e 's/InAppUpdateImpl(context)/InAppUpdateStub()/' -e '/InAppUpdateImpl/d'
        src/main/kotlin/com/blacksquircle/ui/internal/di/AppModule.kt

  - versionName: 2021.1.4
    versionCode: 10007
    commit: cfeb4a21b82621cfed4003cc6d33b567c95d1807
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's|https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/|https://jitpack.io|'
        ../gradle/publish.gradle

  - versionName: 2022.1.0
    versionCode: 10009
    commit: f236f1f6c5a9efbeb4cef24e8eb55fe0bedabc79
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's|https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/|https://jitpack.io|'
        ../gradle/publish.gradle

  - versionName: 2022.1.1
    versionCode: 10010
    commit: e2965598a16b110baae0ad764c332e8f43ab57fd
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's|https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/|https://jitpack.io|'
        ../gradle/publish.gradle

  - versionName: 2022.1.2
    versionCode: 10011
    commit: 26a43932bc21ba931fb2e95e071a9ee9c8d7afcd
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e 's|https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/|https://jitpack.io|'
        ../gradle/publish.gradle

MaintainerNotes: |-
    App repo contains both android app and
    editor library, as well gradle recipes
    to publish it. F-Droid scanner complains
    about maven repos used in aar publishing
    so the gradle/publish.gradle is removed.

    Both app and library gets tagged, so
    we're only looking for 0000.00.00
    tag schema.

    Squircle was rebranded from Brackeys (com.brackeys.ui), see
    https://github.com/massivemadness/Squircle-IDE/pull/29#issuecomment-844784646

AutoUpdateMode: Version %v
UpdateCheckMode: Tags ^[0-9]{4}\.[0-9]{1,2}\.[0-9]{1,2}$
CurrentVersion: 2022.1.2
CurrentVersionCode: 10011
